#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* SCL */
#define SCL__0__INTTYPE CYREG_PICU12_INTTYPE4
#define SCL__0__MASK 0x10u
#define SCL__0__PC CYREG_PRT12_PC4
#define SCL__0__PORT 12u
#define SCL__0__SHIFT 4u
#define SCL__AG CYREG_PRT12_AG
#define SCL__BIE CYREG_PRT12_BIE
#define SCL__BIT_MASK CYREG_PRT12_BIT_MASK
#define SCL__BYP CYREG_PRT12_BYP
#define SCL__DM0 CYREG_PRT12_DM0
#define SCL__DM1 CYREG_PRT12_DM1
#define SCL__DM2 CYREG_PRT12_DM2
#define SCL__DR CYREG_PRT12_DR
#define SCL__INP_DIS CYREG_PRT12_INP_DIS
#define SCL__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define SCL__MASK 0x10u
#define SCL__PORT 12u
#define SCL__PRT CYREG_PRT12_PRT
#define SCL__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SCL__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SCL__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SCL__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SCL__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SCL__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SCL__PS CYREG_PRT12_PS
#define SCL__SHIFT 4u
#define SCL__SIO_CFG CYREG_PRT12_SIO_CFG
#define SCL__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SCL__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SCL__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SCL__SLW CYREG_PRT12_SLW

/* SDA */
#define SDA__0__INTTYPE CYREG_PICU12_INTTYPE5
#define SDA__0__MASK 0x20u
#define SDA__0__PC CYREG_PRT12_PC5
#define SDA__0__PORT 12u
#define SDA__0__SHIFT 5u
#define SDA__AG CYREG_PRT12_AG
#define SDA__BIE CYREG_PRT12_BIE
#define SDA__BIT_MASK CYREG_PRT12_BIT_MASK
#define SDA__BYP CYREG_PRT12_BYP
#define SDA__DM0 CYREG_PRT12_DM0
#define SDA__DM1 CYREG_PRT12_DM1
#define SDA__DM2 CYREG_PRT12_DM2
#define SDA__DR CYREG_PRT12_DR
#define SDA__INP_DIS CYREG_PRT12_INP_DIS
#define SDA__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define SDA__MASK 0x20u
#define SDA__PORT 12u
#define SDA__PRT CYREG_PRT12_PRT
#define SDA__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SDA__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SDA__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SDA__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SDA__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SDA__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SDA__PS CYREG_PRT12_PS
#define SDA__SHIFT 5u
#define SDA__SIO_CFG CYREG_PRT12_SIO_CFG
#define SDA__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SDA__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SDA__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SDA__SLW CYREG_PRT12_SLW

/* SW_1 */
#define SW_1__0__INTTYPE CYREG_PICU2_INTTYPE2
#define SW_1__0__MASK 0x04u
#define SW_1__0__PC CYREG_PRT2_PC2
#define SW_1__0__PORT 2u
#define SW_1__0__SHIFT 2u
#define SW_1__AG CYREG_PRT2_AG
#define SW_1__AMUX CYREG_PRT2_AMUX
#define SW_1__BIE CYREG_PRT2_BIE
#define SW_1__BIT_MASK CYREG_PRT2_BIT_MASK
#define SW_1__BYP CYREG_PRT2_BYP
#define SW_1__CTL CYREG_PRT2_CTL
#define SW_1__DM0 CYREG_PRT2_DM0
#define SW_1__DM1 CYREG_PRT2_DM1
#define SW_1__DM2 CYREG_PRT2_DM2
#define SW_1__DR CYREG_PRT2_DR
#define SW_1__INP_DIS CYREG_PRT2_INP_DIS
#define SW_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define SW_1__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define SW_1__LCD_EN CYREG_PRT2_LCD_EN
#define SW_1__MASK 0x04u
#define SW_1__PORT 2u
#define SW_1__PRT CYREG_PRT2_PRT
#define SW_1__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define SW_1__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define SW_1__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define SW_1__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define SW_1__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define SW_1__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define SW_1__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define SW_1__PS CYREG_PRT2_PS
#define SW_1__SHIFT 2u
#define SW_1__SLW CYREG_PRT2_SLW

/* RED_0 */
#define RED_0__0__INTTYPE CYREG_PICU3_INTTYPE0
#define RED_0__0__MASK 0x01u
#define RED_0__0__PC CYREG_PRT3_PC0
#define RED_0__0__PORT 3u
#define RED_0__0__SHIFT 0u
#define RED_0__AG CYREG_PRT3_AG
#define RED_0__AMUX CYREG_PRT3_AMUX
#define RED_0__BIE CYREG_PRT3_BIE
#define RED_0__BIT_MASK CYREG_PRT3_BIT_MASK
#define RED_0__BYP CYREG_PRT3_BYP
#define RED_0__CTL CYREG_PRT3_CTL
#define RED_0__DM0 CYREG_PRT3_DM0
#define RED_0__DM1 CYREG_PRT3_DM1
#define RED_0__DM2 CYREG_PRT3_DM2
#define RED_0__DR CYREG_PRT3_DR
#define RED_0__INP_DIS CYREG_PRT3_INP_DIS
#define RED_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define RED_0__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define RED_0__LCD_EN CYREG_PRT3_LCD_EN
#define RED_0__MASK 0x01u
#define RED_0__PORT 3u
#define RED_0__PRT CYREG_PRT3_PRT
#define RED_0__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define RED_0__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define RED_0__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define RED_0__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define RED_0__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define RED_0__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define RED_0__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define RED_0__PS CYREG_PRT3_PS
#define RED_0__SHIFT 0u
#define RED_0__SLW CYREG_PRT3_SLW

/* RED_1 */
#define RED_1__0__INTTYPE CYREG_PICU3_INTTYPE1
#define RED_1__0__MASK 0x02u
#define RED_1__0__PC CYREG_PRT3_PC1
#define RED_1__0__PORT 3u
#define RED_1__0__SHIFT 1u
#define RED_1__AG CYREG_PRT3_AG
#define RED_1__AMUX CYREG_PRT3_AMUX
#define RED_1__BIE CYREG_PRT3_BIE
#define RED_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define RED_1__BYP CYREG_PRT3_BYP
#define RED_1__CTL CYREG_PRT3_CTL
#define RED_1__DM0 CYREG_PRT3_DM0
#define RED_1__DM1 CYREG_PRT3_DM1
#define RED_1__DM2 CYREG_PRT3_DM2
#define RED_1__DR CYREG_PRT3_DR
#define RED_1__INP_DIS CYREG_PRT3_INP_DIS
#define RED_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define RED_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define RED_1__LCD_EN CYREG_PRT3_LCD_EN
#define RED_1__MASK 0x02u
#define RED_1__PORT 3u
#define RED_1__PRT CYREG_PRT3_PRT
#define RED_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define RED_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define RED_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define RED_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define RED_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define RED_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define RED_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define RED_1__PS CYREG_PRT3_PS
#define RED_1__SHIFT 1u
#define RED_1__SLW CYREG_PRT3_SLW

/* GREEN_0 */
#define GREEN_0__0__INTTYPE CYREG_PICU3_INTTYPE4
#define GREEN_0__0__MASK 0x10u
#define GREEN_0__0__PC CYREG_PRT3_PC4
#define GREEN_0__0__PORT 3u
#define GREEN_0__0__SHIFT 4u
#define GREEN_0__AG CYREG_PRT3_AG
#define GREEN_0__AMUX CYREG_PRT3_AMUX
#define GREEN_0__BIE CYREG_PRT3_BIE
#define GREEN_0__BIT_MASK CYREG_PRT3_BIT_MASK
#define GREEN_0__BYP CYREG_PRT3_BYP
#define GREEN_0__CTL CYREG_PRT3_CTL
#define GREEN_0__DM0 CYREG_PRT3_DM0
#define GREEN_0__DM1 CYREG_PRT3_DM1
#define GREEN_0__DM2 CYREG_PRT3_DM2
#define GREEN_0__DR CYREG_PRT3_DR
#define GREEN_0__INP_DIS CYREG_PRT3_INP_DIS
#define GREEN_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define GREEN_0__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define GREEN_0__LCD_EN CYREG_PRT3_LCD_EN
#define GREEN_0__MASK 0x10u
#define GREEN_0__PORT 3u
#define GREEN_0__PRT CYREG_PRT3_PRT
#define GREEN_0__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define GREEN_0__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define GREEN_0__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define GREEN_0__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define GREEN_0__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define GREEN_0__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define GREEN_0__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define GREEN_0__PS CYREG_PRT3_PS
#define GREEN_0__SHIFT 4u
#define GREEN_0__SLW CYREG_PRT3_SLW

/* GREEN_1 */
#define GREEN_1__0__INTTYPE CYREG_PICU3_INTTYPE5
#define GREEN_1__0__MASK 0x20u
#define GREEN_1__0__PC CYREG_PRT3_PC5
#define GREEN_1__0__PORT 3u
#define GREEN_1__0__SHIFT 5u
#define GREEN_1__AG CYREG_PRT3_AG
#define GREEN_1__AMUX CYREG_PRT3_AMUX
#define GREEN_1__BIE CYREG_PRT3_BIE
#define GREEN_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define GREEN_1__BYP CYREG_PRT3_BYP
#define GREEN_1__CTL CYREG_PRT3_CTL
#define GREEN_1__DM0 CYREG_PRT3_DM0
#define GREEN_1__DM1 CYREG_PRT3_DM1
#define GREEN_1__DM2 CYREG_PRT3_DM2
#define GREEN_1__DR CYREG_PRT3_DR
#define GREEN_1__INP_DIS CYREG_PRT3_INP_DIS
#define GREEN_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define GREEN_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define GREEN_1__LCD_EN CYREG_PRT3_LCD_EN
#define GREEN_1__MASK 0x20u
#define GREEN_1__PORT 3u
#define GREEN_1__PRT CYREG_PRT3_PRT
#define GREEN_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define GREEN_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define GREEN_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define GREEN_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define GREEN_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define GREEN_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define GREEN_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define GREEN_1__PS CYREG_PRT3_PS
#define GREEN_1__SHIFT 5u
#define GREEN_1__SLW CYREG_PRT3_SLW

/* YELLOW_0 */
#define YELLOW_0__0__INTTYPE CYREG_PICU3_INTTYPE2
#define YELLOW_0__0__MASK 0x04u
#define YELLOW_0__0__PC CYREG_PRT3_PC2
#define YELLOW_0__0__PORT 3u
#define YELLOW_0__0__SHIFT 2u
#define YELLOW_0__AG CYREG_PRT3_AG
#define YELLOW_0__AMUX CYREG_PRT3_AMUX
#define YELLOW_0__BIE CYREG_PRT3_BIE
#define YELLOW_0__BIT_MASK CYREG_PRT3_BIT_MASK
#define YELLOW_0__BYP CYREG_PRT3_BYP
#define YELLOW_0__CTL CYREG_PRT3_CTL
#define YELLOW_0__DM0 CYREG_PRT3_DM0
#define YELLOW_0__DM1 CYREG_PRT3_DM1
#define YELLOW_0__DM2 CYREG_PRT3_DM2
#define YELLOW_0__DR CYREG_PRT3_DR
#define YELLOW_0__INP_DIS CYREG_PRT3_INP_DIS
#define YELLOW_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define YELLOW_0__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define YELLOW_0__LCD_EN CYREG_PRT3_LCD_EN
#define YELLOW_0__MASK 0x04u
#define YELLOW_0__PORT 3u
#define YELLOW_0__PRT CYREG_PRT3_PRT
#define YELLOW_0__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define YELLOW_0__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define YELLOW_0__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define YELLOW_0__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define YELLOW_0__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define YELLOW_0__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define YELLOW_0__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define YELLOW_0__PS CYREG_PRT3_PS
#define YELLOW_0__SHIFT 2u
#define YELLOW_0__SLW CYREG_PRT3_SLW

/* YELLOW_1 */
#define YELLOW_1__0__INTTYPE CYREG_PICU3_INTTYPE3
#define YELLOW_1__0__MASK 0x08u
#define YELLOW_1__0__PC CYREG_PRT3_PC3
#define YELLOW_1__0__PORT 3u
#define YELLOW_1__0__SHIFT 3u
#define YELLOW_1__AG CYREG_PRT3_AG
#define YELLOW_1__AMUX CYREG_PRT3_AMUX
#define YELLOW_1__BIE CYREG_PRT3_BIE
#define YELLOW_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define YELLOW_1__BYP CYREG_PRT3_BYP
#define YELLOW_1__CTL CYREG_PRT3_CTL
#define YELLOW_1__DM0 CYREG_PRT3_DM0
#define YELLOW_1__DM1 CYREG_PRT3_DM1
#define YELLOW_1__DM2 CYREG_PRT3_DM2
#define YELLOW_1__DR CYREG_PRT3_DR
#define YELLOW_1__INP_DIS CYREG_PRT3_INP_DIS
#define YELLOW_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define YELLOW_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define YELLOW_1__LCD_EN CYREG_PRT3_LCD_EN
#define YELLOW_1__MASK 0x08u
#define YELLOW_1__PORT 3u
#define YELLOW_1__PRT CYREG_PRT3_PRT
#define YELLOW_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define YELLOW_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define YELLOW_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define YELLOW_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define YELLOW_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define YELLOW_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define YELLOW_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define YELLOW_1__PS CYREG_PRT3_PS
#define YELLOW_1__SHIFT 3u
#define YELLOW_1__SLW CYREG_PRT3_SLW

/* BOARD_LED */
#define BOARD_LED__0__INTTYPE CYREG_PICU2_INTTYPE1
#define BOARD_LED__0__MASK 0x02u
#define BOARD_LED__0__PC CYREG_PRT2_PC1
#define BOARD_LED__0__PORT 2u
#define BOARD_LED__0__SHIFT 1u
#define BOARD_LED__AG CYREG_PRT2_AG
#define BOARD_LED__AMUX CYREG_PRT2_AMUX
#define BOARD_LED__BIE CYREG_PRT2_BIE
#define BOARD_LED__BIT_MASK CYREG_PRT2_BIT_MASK
#define BOARD_LED__BYP CYREG_PRT2_BYP
#define BOARD_LED__CTL CYREG_PRT2_CTL
#define BOARD_LED__DM0 CYREG_PRT2_DM0
#define BOARD_LED__DM1 CYREG_PRT2_DM1
#define BOARD_LED__DM2 CYREG_PRT2_DM2
#define BOARD_LED__DR CYREG_PRT2_DR
#define BOARD_LED__INP_DIS CYREG_PRT2_INP_DIS
#define BOARD_LED__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define BOARD_LED__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define BOARD_LED__LCD_EN CYREG_PRT2_LCD_EN
#define BOARD_LED__MASK 0x02u
#define BOARD_LED__PORT 2u
#define BOARD_LED__PRT CYREG_PRT2_PRT
#define BOARD_LED__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define BOARD_LED__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define BOARD_LED__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define BOARD_LED__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define BOARD_LED__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define BOARD_LED__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define BOARD_LED__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define BOARD_LED__PS CYREG_PRT2_PS
#define BOARD_LED__SHIFT 1u
#define BOARD_LED__SLW CYREG_PRT2_SLW

/* LED_CONTROL */
#define LED_CONTROL_Sync_ctrl_reg__0__MASK 0x01u
#define LED_CONTROL_Sync_ctrl_reg__0__POS 0
#define LED_CONTROL_Sync_ctrl_reg__1__MASK 0x02u
#define LED_CONTROL_Sync_ctrl_reg__1__POS 1
#define LED_CONTROL_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define LED_CONTROL_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define LED_CONTROL_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB05_06_CTL
#define LED_CONTROL_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define LED_CONTROL_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB05_06_CTL
#define LED_CONTROL_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB05_06_MSK
#define LED_CONTROL_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define LED_CONTROL_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB05_06_MSK
#define LED_CONTROL_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define LED_CONTROL_Sync_ctrl_reg__2__MASK 0x04u
#define LED_CONTROL_Sync_ctrl_reg__2__POS 2
#define LED_CONTROL_Sync_ctrl_reg__3__MASK 0x08u
#define LED_CONTROL_Sync_ctrl_reg__3__POS 3
#define LED_CONTROL_Sync_ctrl_reg__4__MASK 0x10u
#define LED_CONTROL_Sync_ctrl_reg__4__POS 4
#define LED_CONTROL_Sync_ctrl_reg__5__MASK 0x20u
#define LED_CONTROL_Sync_ctrl_reg__5__POS 5
#define LED_CONTROL_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define LED_CONTROL_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB05_CTL
#define LED_CONTROL_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB05_ST_CTL
#define LED_CONTROL_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB05_CTL
#define LED_CONTROL_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB05_ST_CTL
#define LED_CONTROL_Sync_ctrl_reg__MASK 0x3Fu
#define LED_CONTROL_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define LED_CONTROL_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define LED_CONTROL_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB05_MSK

/* I2C_MASTER_1_I2C_FF */
#define I2C_MASTER_1_I2C_FF__ADR CYREG_I2C_ADR
#define I2C_MASTER_1_I2C_FF__CFG CYREG_I2C_CFG
#define I2C_MASTER_1_I2C_FF__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define I2C_MASTER_1_I2C_FF__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define I2C_MASTER_1_I2C_FF__CSR CYREG_I2C_CSR
#define I2C_MASTER_1_I2C_FF__D CYREG_I2C_D
#define I2C_MASTER_1_I2C_FF__MCSR CYREG_I2C_MCSR
#define I2C_MASTER_1_I2C_FF__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define I2C_MASTER_1_I2C_FF__PM_ACT_MSK 0x04u
#define I2C_MASTER_1_I2C_FF__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define I2C_MASTER_1_I2C_FF__PM_STBY_MSK 0x04u
#define I2C_MASTER_1_I2C_FF__TMOUT_CFG0 CYREG_I2C_TMOUT_CFG0
#define I2C_MASTER_1_I2C_FF__TMOUT_CFG1 CYREG_I2C_TMOUT_CFG1
#define I2C_MASTER_1_I2C_FF__TMOUT_CSR CYREG_I2C_TMOUT_CSR
#define I2C_MASTER_1_I2C_FF__TMOUT_SR CYREG_I2C_TMOUT_SR
#define I2C_MASTER_1_I2C_FF__XCFG CYREG_I2C_XCFG

/* I2C_MASTER_1_I2C_IRQ */
#define I2C_MASTER_1_I2C_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define I2C_MASTER_1_I2C_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define I2C_MASTER_1_I2C_IRQ__INTC_MASK 0x8000u
#define I2C_MASTER_1_I2C_IRQ__INTC_NUMBER 15u
#define I2C_MASTER_1_I2C_IRQ__INTC_PRIOR_NUM 7u
#define I2C_MASTER_1_I2C_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_15
#define I2C_MASTER_1_I2C_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define I2C_MASTER_1_I2C_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "Example 3- I2C Kovid Konsole"
#define CY_VERSION "PSoC Creator  3.3 CP3"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 19u
#define CYDEV_CHIP_DIE_PSOC4A 11u
#define CYDEV_CHIP_DIE_PSOC5LP 18u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E161069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 11u
#define CYDEV_CHIP_MEMBER_4C 16u
#define CYDEV_CHIP_MEMBER_4D 7u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 12u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 10u
#define CYDEV_CHIP_MEMBER_4I 15u
#define CYDEV_CHIP_MEMBER_4J 8u
#define CYDEV_CHIP_MEMBER_4K 9u
#define CYDEV_CHIP_MEMBER_4L 14u
#define CYDEV_CHIP_MEMBER_4M 13u
#define CYDEV_CHIP_MEMBER_4N 6u
#define CYDEV_CHIP_MEMBER_4O 5u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 18u
#define CYDEV_CHIP_MEMBER_5B 17u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4O_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00008000u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
